- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Fetch a batch of up to 100 events by name.
HTTP request
GET https://firebasecrashlytics.googleapis.com/v1alpha/{parent=projects/*/apps/*}/events:batchGet
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The firebase application. Format: "projects/{project}/apps/{app_id}". |
Query parameters
| Parameters | |
|---|---|
names[] |
Required. The resource names of the desired events. A maximum of 100 events can be retrieved in a batch. Format: "projects/{project}/apps/{app_id}/events/{eventId}". The app_id and eventId are required, but project may be "-" to conserve space in long URIs. |
readMask |
Optional. The list of Event fields to include in the response. If omitted, the full event is returned. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body must be empty.
Response body
Response message for the events.batchGet method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"events": [
{
object ( |
| Fields | |
|---|---|
events[] |
The list of retrieved events. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/firebase
For more information, see the OAuth 2.0 Overview.